Subject: bug#44500: [External] : Re: bug#44500: 26.3; `prefix-command-echo-keystrokes-functions' causes regression

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 14:55:56 +0000

> tags 44500 + moreinfo

> > Here's the function I use:
> >
> > (defun bmkp-bmenu-read-filter-input ()
> [...]
> >
> > This code worked fine prior to Emacs 25.  Starting with that release
> > I had to bind `prefix-command-echo-keystrokes-functions' to nil.  I
> > shouldn't have had to do that.
> 
> Could you provide a minimal example to reproduce the issue?

I think I've provided the info I have, and all
that should be needed to understand the problem.

> > If I don't add that binding, then:
> > You don't always even see the prompt "Pattern: <etc.>".  Dunno why.
> >
> > Instead, you see `P-', then `P B-', as if `P B' were a prefix key
> > (only `P' is a prefix key), and each char you type is also echoed
> > as if it were part of a prefix key, i.e., it's followed by a hyphen.
> >
> > So if you type "red" after the (invisible) prompt, you see `P B r-',
> > then `P B r e-', then `P B r e d-'.  You should instead see `Pattern:
> > r', then `Pattern: re', then `Pattern: red'.
> >
> > Binding the variable to nil fixes the problem.  But this behavior is
> > a bug, IMO, and the introduction of the variable shouldn't have
> > changed the default echo-area behavior of Emacs.